package Concordance;

/**
* @author Jonathan Field jof2@aber.ac.uk 073717922
* @version 1.00
* 
* The ConcordanceResult Class allows the creation of objects that store the data required to give context
* to the Concordance. An object of this can then be stored in a LinkedList to allow the line number and context to
* both be retrieved. 
*/


public class ConcordanceResult {

	private String context;
	private int lineNumber;

	public ConcordanceResult(){
		
		
	}
	
	/**
	 * 
	 * @param context
	 * 	The String that contains the contextual reference for the Concordance
	 * @param lineNumber
	 * 	An Integer that contains the line number
	 */
	public ConcordanceResult(String context, int lineNumber) {
		super();
		this.context = context;
		this.lineNumber = lineNumber;
	}

	
	public String getContext() {
		return this.context;
	}

	
	public void setContext(String context) {
		this.context = context;
	}

	
	public int getLineNumber() {
		return this.lineNumber;
	}

	
	public void setLineNumber(int lineNumber) {
		this.lineNumber = lineNumber;
	}

}
