package GUI;

import java.awt.event.ActionEvent;
import java.awt.event.ActionListener;
import java.util.LinkedList;

import javax.swing.ListModel;
import javax.swing.event.ListDataListener;

import Concordance.ConcordanceResult;
import Concordance.FileInputReader;
/**
 * This class provides a custom table model for dynamically displaying a JList
 * 
 * @author Jonathan Field jof2@aber.ac.uk 073717922
 * @version 1.00
 *
 */
public class CustomModelLineNumbers implements ListModel, ActionListener {

	private FileInputReader fileReader;
	private LinkedList<ConcordanceResult> lineNumberAndContextList;
	private String selectedIndex;

	public CustomModelLineNumbers(FileInputReader fileReader, String selectedIndex) {

		this.fileReader = fileReader;
		this.selectedIndex = selectedIndex;
		this.lineNumberAndContextList = fileReader.getResultsList(selectedIndex);
	}

	@Override
	public void addListDataListener(ListDataListener arg0) {


	}

	@Override
	public String getElementAt(int i) {

		this.lineNumberAndContextList = this.fileReader.getResultsList(this.selectedIndex);

		return Integer.toString(this.lineNumberAndContextList.get(i).getLineNumber());
	}

	@Override
	public int getSize() {

		this.lineNumberAndContextList = this.fileReader.getResultsList(this.selectedIndex);
		return this.lineNumberAndContextList.size();
	}

	@Override
	public void removeListDataListener(ListDataListener arg0) {
		

	}

	@Override
	public void actionPerformed(ActionEvent e) {

	}

}
