package Tests;

import static org.junit.Assert.*;

import org.junit.Before;
import org.junit.Test;

import Concordance.ConcordanceResult;

/**
 * 
 * @author Jonathan Field jof2@aber.ac.uk 073717922
 * @version 1.00
 * 
 * This Test Class is designed to to test the functionality of the ConcordanceResult Class
 *
 */
public class ConcordanceResultTest {

	private ConcordanceResult cr;
	
	
	@Before
	public void setUp() throws Exception {
		
		cr = new ConcordanceResult("Test Context",1);
		
	}

	/**
	 * This tests the functionality of the set and get methods used to access instance variables in the ConcordanceResults class.
	 * The test creates a new empty ConcordanceResult object,
	 * then sets the context variable and linenumber variable.
	 * 
	 * The variables are then compared to ensure they are equal to the variables that have been entered, thus proving that the set and get methods are functioning correctley.
	 */
	@Test
	public void testSettersAndGetters() {
		
		String expectedContext = "Test Context";
		int expectedLineNumber = 24;
		
		ConcordanceResult ccr = new ConcordanceResult();
		
		ccr.setContext("Test Context");
		ccr.setLineNumber(24);
		
		String actualContext = ccr.getContext();
		int actualLineNumber = ccr.getLineNumber();
		
		assertEquals("Expected did not match actual Context",expectedContext,actualContext);
		assertEquals("Expected did not match actual LineNumber",expectedLineNumber,actualLineNumber);
		
	}
	
	

}
