package Tests;

import static org.junit.Assert.*;

import org.junit.Before;
import org.junit.Test;

import Concordance.Conversion;

/**
 * @author Jonathan Field jof2@aber.ac.uk 073717922
 * @version 1.00
 * 
 * The Conversion Test class tests the functionality of the Conversion class to remove the punctuation from a String.
 *
 */
public class ConversionTest {

	private Conversion convert;
	
	@Before
	public void setUp() throws Exception {
		
		convert = new Conversion();
		
	}

	
	/**
	 * Two words with punctuation in them are created as Strings, these strings are then converted to remove punctuation using the ConversionTest.removePuncation() method.
	 * This returns a string that has had the puncuation removed, the converted Strings are then compared to the original word but with the punctuation removed.
	 */
	@Test
	public void testRemovePunctuation() {
		
		String unconvertedOne = "End.";
		String unconvertedTwo = "U'n''d---e--r`gro`,u.,n'd";
		String expectedOne = "End";
		String expectedTwo = "Underground";
		
		String convertedOne = convert.removePuncuation(unconvertedOne);
		String convertedTwo = convert.removePuncuation(unconvertedTwo);
		
		assertEquals("Punctuation was no correctly removed",expectedOne,convertedOne);
		assertEquals("Punctuation was no correctly removed",expectedTwo,convertedTwo);
		
		
	}

}
